! Inform / INFSP 6


!!==============================================================================
!!
!!	GRAMTICA EXTENDIDA
!!
!!==============================================================================
!!
!!
!!	File:			GramaticaExtendida.inf
!!	Author(s):		Emily Short (emshort@mindspring.com)
!!					J. Francisco Martn (jfm.lisaso@gmail.com)
!!					Mapache
!!	Language:		ES (Castellano)
!!	System:			Inform/INFSP 6
!!	Platform:		Mquina-Z / Glulx
!!	Version:		1.3
!!	Released:		2010/04/07
!!
!!
!!------------------------------------------------------------------------------
!!
!!	NOTES:
!!
!!	Based on "ExpertGrammar.h", by Emily Short (emshort@mindsping.com)
!!	and on its spanish translation "GramaticaExperta.h", by Mapache.
!!
!!
!!	RIGHTS:
!!
!!	This library file may be trated as public domain. It may be 
!!	included with or without credit to the original author. It may be 
!!	modified at the user's discretion. It may be freely distributed.
!!	Parts may be extracted.
!!
!!
!!	INSTALLATION:
!!
!!	Include "GramaticaExtendida" after SpanishG in your gamefile.
!!
!!
!!	NEW ACTIONS:
!!
!!	Dance
!!	GoDown
!!	GoUp
!!	KnockOn
!!	Masturbate
!!	Shout
!!	Sit
!!	SleepWith
!!	StandUp
!!	Untie
!!	Use
!!	Write
!!	Xyzzy
!!
!!------------------------------------------------------------------------------


Verb	'machaca'						= 'ataca';
Verb	'silba' 'tararea' 'tatarea'		= 'canta';
Verb	'roba' 'agarra'					= 'coge';
Verb	'talla' 'esculpe'				= 'corta';
Verb	'emplaza' 'deposita' 'abandona'	= 'deja';
Verb	'berrea' 'aulla'				= 'grita';
Verb	'marcha'						= 'ir';
Verb	'incinera' 'tuesta'				= 'quema';
VerboIrregular "tostar" with imperativo 'tuesta';
Verb	'acaricia'						= 'toca';


!!------------------------------------------------------------------------------


Extend	'sopla'
	* 'sobre' / 'dentro' / 'a' noun	-> Blow
	* 'a' 'traves' 'de' noun		-> Blow
;

Verb	'baila'
	*								-> Dance
;

!Verb	'muerde'
!	* noun							-> Eat
!	* edible						-> Eat
!	* animate						-> Attack
!	* 'a' animate					-> Attack
!; VerboIrregular "morder" with imperativo 'muerde';


Verb	'desciende'
	*								-> GoDown
	* noun							-> Enter
	* 'por' noun					-> Enter
; VerboIrregular "descender" with imperativo 'desciende';


Verb	'asciende'
	*								-> GoUp
	* noun							-> Enter
	* 'por' noun					-> Enter
; VerboIrregular "ascender" with imperativo 'asciende';


Verb	'llama'
	* door							-> KnockOn
	* 'a' door						-> KnockOn
	* animate						-> Tell
	* 'a' animate					-> Tell
;

Extend only 'golpea' first
	* door							-> KnockOn
	* 'a' door						-> KnockOn
;

Extend	'mira'
	* 'alrededor'					-> Look
	* 'a' 'tu' 'alrededor'			-> Look
;

Verb	'masturba'
	* '-me'/'-te'					-> Masturbate
;

Verb	'suicida'
	* '-me'/'-te'					-> Quit
;

Extend	'mata' first
	* '-me'/'-te'					-> Quit
;

Extend	'comete' first
	* 'suicidio'					-> Quit
;

Extend	'lee' first
	* noun							-> Read
;

Extend	'busca'
	* 'entre' noun					-> Search
;

Extend	'mira'
	* 'entre' noun					-> Search
;

Extend	'grita' last
	*								-> Shout
;

Extend    'sienta' replace
    * 								-> Sit
	* '-te' / '-me'					-> Sit
	* noun							-> Sit
	* '-te' / '-me' noun			-> Sit
	* 'en' noun						-> Sit
	* '-te' / '-me'	'en' noun		-> Sit
; VerboIrregular "sentar" with imperativo 'sientate';


Verb	'folla' 'copula'
	* animate						-> SleepWith
	* '-te' / '-me' animate			-> SleepWith
	* 'a//' / 'con' animate			-> SleepWith
	* '-te' / '-me' 'a' animate		-> SleepWith
;


Extend	only 'jode' first
	* animate						-> SleepWith
	* 'a//' / 'con' animate			-> SleepWith
;


Verb	'ten'
	* 'sexo' 'con' animate			-> SleepWith
	* 'coito' 'con' animate			-> SleepWith
;


Verb	'haz'
	* 'el' 'amor' 'con' animate		-> SleepWith
;


Verb    'levanta'
    * 								-> StandUp
	* '-te' / '-me'					-> StandUp
    * 'de//' noun 					-> StandUp
	* '-te' / '-me' 'de//' noun		-> StandUp;


Verb	'desata' 'libera' 'desune' 'desenchufa'
	* noun							-> Untie
	* 'a//' creature				-> Untie
	* 'a//' creature 'de' noun		-> Untie
	* noun 'de' noun				-> Untie
;

Extend	only 'desconecta' last
	* noun 'de' noun				-> Untie
;

Verb	'usa' 'utiliza' 'emplea'
	* noun							-> Use
	* noun 'con' / 'en' noun		-> Use
;

Verb	'creditos' 'credits' 'autor' 'author' 'informacion' 'info'
	*								-> Version
;

Verb	'escribe'
	* noun							-> Write
	* 'en'/'el' noun				-> Write
	* noun 'con' noun				-> Write
	* 'en'/'el' noun 'con' noun		-> Write
; VerboIrregular "escribir" with imperativo 'escribe';

Verb	'xyzzy' 'plugh' 'plover' 'abracadabra'
	*								-> Xyzzy
;


!!------------------------------------------------------------------------------


[ DanceSub;
	"Nunca has sido un gran bailarn.";
];

[ GoDownSub;
	<<Go d_obj>>;
];

[ GoUpSub;
	<<Go u_obj>>;
];

[ KnockOnSub;
	if ( noun has door ) "Nadie contesta.";
	"No ocurre nada.";
];

[ MasturbateSub;
	"Ahora no tienes ganas.";
];

[ ReadSub;
	<<Examine noun>>;
];

[ ShoutSub;
	"---AARRGHH!";
];

[ SitSub;
	if ( noun == nothing )
		"Te sientas en el suelo, cansado. Pero enseguida te aburres y a los 
		pocos segundos te levantas de nuevo.";
	"Ya ests bastante cmodo de pie.";
];

[ SleepWithSub;
	if ( noun == player ) <<Masturbate>>; 
	else "No creo que debas.";
];

[ StandUpSub;
	"No ests sentado en ningn sitio del que debas levantarte.";
];

[ UntieSub;
	"No est muy claro qu pretendes.";
];

[ UseSub;
	"Tratas de encontrar un uso para ", (the) noun ," pero tu mente no acierta 
	con la accin concreta.";
];

[ WriteSub;
	"Ahora no se te ocurre nada que escribir.";
];

[ XyzzySub;
	"Un rumor silencioso responde a tus palabras.";
];



